DaemonForums  

Go Back   DaemonForums > FreeBSD > FreeBSD Ports and Packages

FreeBSD Ports and Packages Installation and upgrading of ports and packages on FreeBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 7th July 2008
weziw weziw is offline
New User
 
Join Date: Jul 2008
Posts: 1
Thanked 0 Times in 0 Posts
Default Installing eclipse on FreeBSD 7

I have installed FreeBSD 7. I used portsnap to fetch extract and update all the ports, then did a pkgdb -F. After resolving all the dependencies, I installed gnome2, diablo jdk from the freebsd foundation http://www.freebsdfoundation.org/ and then tried to install eclipse from ports (make install clean) which completed succesfuly. When I try to start up eclipse I am getting a pop up window with this message:

JVM terminated. Exit code=1
/usr/local/bin/java
-Xms40m
-Xmx256m
-jar /usr/local/eclipse/startup.jar
-os freebsd
-ws gtk
-arch amd64
-launcher /usr/local/eclipse/eclipse
-name Eclipse
-showsplash 600
-exitdata 6000a
-vm /usr/local/bin/java
-vmargs
-Xms40m
-Xmx256m
-jar /usr/local/eclipse/startup.jar

I found out that this might be a Java heap problem, so I modified the eclipse.ini file. The instructions were on this page:

http://javahowto.blogspot.com/2006/0...java-heap.html

under the heading:

How to set java heap size in Eclipse?

But this did not change the out come.
Any help or suggestions on how to correct this.
Reply With Quote
  #2   (View Single Post)  
Old 9th July 2008
ninjatux's Avatar
ninjatux ninjatux is offline
Real Name: Baqir Majlisi
Spam Deminer
 
Join Date: May 2008
Location: Antarctica
Posts: 293
Thanked 15 Times in 15 Posts
Default

Actually, that might be an Eclipse issue. Eclipse has issues with certain versions of Java. I know it works fine with jdk16 on FreeBSD, but I use NetBeans because I like it better. Your best bet is to try with jdk16. By the way, I had a similar error on Gentoo Linux three or four months ago, and I couldn't fix it. The Eclipse irc folks just said to try different versions of jdk, which didn't help either.
__________________
"UNIX is basically a simple operating system, but you have to be a genius to understand the simplicity."
MacBook Pro (Darwin 9), iMac (Darwin 9), iPod Touch (Darwin 9), Dell Optiplex GX620 (FreeBSD 7.1-STABLE)
Reply With Quote
  #3   (View Single Post)  
Old 13th July 2008
graudeejs's Avatar
graudeejs graudeejs is offline
Real Name: Aldis Berjoza
formerly killasmurf86
 
Join Date: Jul 2008
Location: Riga, Latvia
Posts: 588
Thanked 29 Times in 26 Posts
Default

I had no problem with eclipse....
But i don't remember if i already had jdk16, or still had jdk15
try with jdk16


however i prefer netbeans as well, because of gui editor
Reply With Quote
Reply

Tags
eclipse, java

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Eclipse-cdt in Freebsd 7.1 rex FreeBSD General 3 10th January 2009 08:45 AM
installing linux on freeBSD freddybaker Other BSD and UNIX/UNIX-like 4 17th October 2008 03:40 PM
develop JSP and servlet with eclipse in Freebsd cuongvt FreeBSD General 0 14th September 2008 12:53 AM
Looking towards installing FreeBSD 7.0 austinramsay FreeBSD General 4 23rd June 2008 01:39 AM
HELP Installing Fluxbox on FreeBSD 7.0 oleksus FreeBSD Ports and Packages 10 9th June 2008 01:36 PM


All times are GMT. The time now is 10:12 PM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick